Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.beans
Class SenderBean

    java.lang.Object
      org.apache.sandesha2.storage.beans.RMBean
          org.apache.sandesha2.storage.beans.SenderBean

All Implemented Interfaces:
  java.io.Serializable

    public class SenderBean

extends RMBean

This bean is used at the sending side (of both server and client) There is one eatry for each message to be sent.

See Also:
  Serialized Form

Field Summary
`static int` | `IN_MSG_NUM_FLAG`
`static int` | `LAST_MSG_FLAG`
`static int` | `MSG_NUMBER_FLAG`
`static int` | `MSG_TYPE_FLAG`
`static int` | `RESEND_FLAG`
`static int` | `SEND_COUNT_FLAG`
`static int` | `SEND_FLAG`
`static int` | `TIME_TO_SEND_FLAG`
`static int` | `TRANSPORT_FLAG`

Constructor Summary
`SenderBean()`
`SenderBean(SenderBean beanToCopy)` Constructor that copies all SenderBean values from the SenderBean supplied
`SenderBean(java.lang.String messageID, java.lang.String key, boolean send, long timeToSend, java.lang.String internalSequenceID, long messageNumber)`

Method Summary
`int` | `getFlags()`
`long` | `getInboundMessageNumber()`
`java.lang.String` | `getInboundSequenceId()`
`java.lang.String` | `getInternalSequenceID()`
`java.lang.String` | `getMessageContextRefKey()`
`java.lang.String` | `getMessageID()`
`long` | `getMessageNumber()`
`int` | `getMessageType()`
`int` | `getSentCount()`
`java.lang.String` | `getSequenceID()`
`long` | `getTimeToSend()`
`java.lang.String` | `getToAddress()`
`boolean` | `isLastMessage()`
`boolean` | `isReSend()`
`boolean` | `isSend()`
`boolean` | `isTransportAvailable()`
`boolean` | `match(RMBean matchInfo)` Check to see if this bean matches the match criteria passed in as matchInfo.
`void` | `setFlags(int flags)`
`void` | `setInboundMessageNumber(long inboundMessageNumber)`
`void` | `setInboundSequenceId(java.lang.String inboundSequenceId)`
`void` | `setInternalSequenceID(java.lang.String internalSequenceId)`
`void` | `setLastMessage(boolean lastMessage)`
`void` | `setMessageContextRefKey(java.lang.String messageContextRefKey)`
`void` | `setMessageID(java.lang.String messageID)`
`void` | `setMessageNumber(long messageNumber)`
`void` | `setMessageType(int messagetype)`
`void` | `setReSend(boolean reSend)`
`void` | `setSend(boolean send)`
`void` | `setSentCount(int sentCount)`
`void` | `setSequenceID(java.lang.String sequenceID)`
`void` | `setTimeToSend(long timeToSend)`
`void` | `setToAddress(java.lang.String toAddress)`
`void` | `setTransportAvailable(boolean transportAvailable)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.sandesha2.storage.beans.RMBean
`getId, getTransaction, setId, setTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SEND_FLAG

    public static final int SEND_FLAG

See Also:
  Constant Field Values

### SEND_COUNT_FLAG

    public static final int SEND_COUNT_FLAG

See Also:
  Constant Field Values

### MSG_NUMBER_FLAG

    public static final int MSG_NUMBER_FLAG

See Also:
  Constant Field Values

### RESEND_FLAG

    public static final int RESEND_FLAG

See Also:
  Constant Field Values

### TIME_TO_SEND_FLAG

    public static final int TIME_TO_SEND_FLAG

See Also:
  Constant Field Values

### MSG_TYPE_FLAG

    public static final int MSG_TYPE_FLAG

See Also:
  Constant Field Values

### LAST_MSG_FLAG

    public static final int LAST_MSG_FLAG

See Also:
  Constant Field Values

### IN_MSG_NUM_FLAG

    public static final int IN_MSG_NUM_FLAG

See Also:
  Constant Field Values

### TRANSPORT_FLAG

    public static final int TRANSPORT_FLAG

See Also:
  Constant Field Values

Constructor Detail

### SenderBean

    public SenderBean()

### SenderBean

    public SenderBean(java.lang.String messageID,
                      java.lang.String key,
                      boolean send,
                      long timeToSend,
                      java.lang.String internalSequenceID,
                      long messageNumber)

### SenderBean

    public SenderBean(SenderBean beanToCopy)

  Constructor that copies all SenderBean values from the SenderBean supplied

  Parameters:
    `beanToCopy` -

Method Detail

### getMessageContextRefKey

    public java.lang.String getMessageContextRefKey()

### setMessageContextRefKey

    public void setMessageContextRefKey(java.lang.String messageContextRefKey)

### getMessageID

    public java.lang.String getMessageID()

### setMessageID

    public void setMessageID(java.lang.String messageID)

### isSend

    public boolean isSend()

### setSend

    public void setSend(boolean send)

### getInternalSequenceID

    public java.lang.String getInternalSequenceID()

### setInternalSequenceID

    public void setInternalSequenceID(java.lang.String internalSequenceId)

### getSentCount

    public int getSentCount()

### setSentCount

    public void setSentCount(int sentCount)

### getMessageNumber

    public long getMessageNumber()

### setMessageNumber

    public void setMessageNumber(long messageNumber)

### isReSend

    public boolean isReSend()

### setReSend

    public void setReSend(boolean reSend)

### getTimeToSend

    public long getTimeToSend()

### setTimeToSend

    public void setTimeToSend(long timeToSend)

### getMessageType

    public int getMessageType()

### setMessageType

    public void setMessageType(int messagetype)

### getSequenceID

    public java.lang.String getSequenceID()

### setSequenceID

    public void setSequenceID(java.lang.String sequenceID)

### getToAddress

    public java.lang.String getToAddress()

### setToAddress

    public void setToAddress(java.lang.String toAddress)

### isLastMessage

    public boolean isLastMessage()

### setLastMessage

    public void setLastMessage(boolean lastMessage)

### getInboundMessageNumber

    public long getInboundMessageNumber()

### setInboundMessageNumber

    public void setInboundMessageNumber(long inboundMessageNumber)

### getInboundSequenceId

    public java.lang.String getInboundSequenceId()

### setInboundSequenceId

    public void setInboundSequenceId(java.lang.String inboundSequenceId)

### isTransportAvailable

    public boolean isTransportAvailable()

### setTransportAvailable

    public void setTransportAvailable(boolean transportAvailable)

### getFlags

    public int getFlags()

### setFlags

    public void setFlags(int flags)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### match

    public boolean match(RMBean matchInfo)

  Description copied from class: `RMBean`
  Check to see if this bean matches the match criteria passed in as matchInfo. In order for a property of the bean to be checked you must set the property on the matchInfo.

  Specified by:
    `match` in class `RMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.